---
title: "Revoke a managed customer Agent"
description: "Revoke a lost or replaced Agent and take its printers offline."
---
<nav class="docs-breadcrumb" aria-label="Breadcrumb"><a href="/docs/">CloudPrint Documentation</a><span aria-hidden="true">/</span><span>API reference</span></nav>

# Revoke a managed customer Agent

<p class="docs-lead">Revoke a lost or replaced Agent and take its printers offline.</p>

<div class="api-endpoint-summary"><span class="api-method api-method-delete">DELETE</span><code>/partner-api/v1/accounts/{relationshipId}/agents/{agentId}</code><span><strong>API version:</strong> v1</span><span><strong>operationId:</strong> <code>revokePartnerManagedAgent</code></span><a href="/docs/api/v1/partner/agents/revoke/index.md">View as Markdown</a></div>

## What this endpoint does

Revoke a lost or replaced Agent and take its printers offline.

## Authentication

Send a one-time RS256 Developer Application assertion in `Authorization: Bearer <application_assertion>`. This assertion is not a Public API access token.

## Request

**Production base URL:** `https://public-api.cloudprint.me/partner-api/v1/accounts/{relationshipId}/agents/{agentId}`

### Parameters

| Name | Location | Type | Required | Description | Constraints |
| --- | --- | --- | --- | --- | --- |
| `relationshipId` | path | `string (uuid)` | yes | — | — |
| `agentId` | path | `string (uuid)` | yes | — | — |

### Request body

This endpoint has no request body.

### Example requests

#### cURL

```bash
curl -sS -X DELETE "https://public-api.cloudprint.me/partner-api/v1/accounts/$RELATIONSHIP_ID/agents/$AGENT_ID" \
  -H "Authorization: Bearer $APPLICATION_ASSERTION"
```

## Response

**HTTP status:** `204` — Agent revoked

## Errors

| HTTP status | Description |
| --- | --- |
| `401` | Application assertion is invalid |
| `403` | Partner capability is not granted |
| `404` | Managed Account or Agent was not found |
| `422` | Relationship ID or Agent ID is invalid |
| `429` | Rate limit exceeded |
| `500` | Unexpected error |

## Integration guidance

## Related documentation

<div class="docs-card-grid"><a class="docs-card" href="/docs/api/v1/partner/agents/list/"><strong>List managed customer Agents</strong><span>List every Agent connected to one managed customer, including revoked Agents.</span></a>
<a class="docs-card" href="/docs/api/v1/partner/agent-enrollments/create/"><strong>Create a managed Agent Enrollment</strong><span>Issue an idempotent one-time Enrollment before or after customer onboarding.</span></a>
<a class="docs-card" href="/docs/partner-platform/agent-enrollment/"><strong>Enroll an agent for a customer</strong><span>Connect a local CloudPrint Agent to the correct managed customer account without requiring a customer portal login.</span></a></div>

<nav class="docs-resource-links" aria-label="Next steps"><a href="/docs/api/v1/explorer/">OpenAPI</a><a href="https://my.cloudprint.me">Open account</a><a href="/docs/legal/privacy/">Privacy Policy</a><a href="/docs/legal/terms/">Terms</a><a href="/docs/legal/payments-and-refunds/">Payment and refunds</a><a href="/docs/legal/data-processing/">DPA</a></nav>